aboutsummaryrefslogtreecommitdiffstats
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2013-07-05 23:19:58 +0000
committerGuy Harris <guy@alum.mit.edu>2013-07-05 23:19:58 +0000
commitb1a91b434c06831640c8b61ca2aa8d65d3553f62 (patch)
treedaa5920d6a346aed22d904f122c1646dbcae358c /macosx-setup.sh
parenta4e5839f1f5cfc5687c33e24ac65b551fe99b276 (diff)
LIBFFI_CFLAGS and LIBFFI_LIBS are defined only to suppress the attempt
to run pkg-config to get their values; they should be set equal to the values that would be returned by pkg-config for libffi with the --cflags and --libs arguments, respectively. They should *NOT* include the values of CFLAGS and LDFLAGS supplied in the environment; those should be handled separately. svn path=/trunk/; revision=50389
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 96f19e86a5..477fcc13b6 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -316,7 +316,7 @@ if [ ! -f glib-$GLIB_VERSION-done ] ; then
# OS X ships with libffi, but doesn't provide its pkg-config file;
# explicitly specify LIBFFI_CFLAGS and LIBFFI_LIBS, so the configure
# script doesn't try to use pkg-config to get the appropriate
- # CFLAGS and LIBS.
+ # C flags and loader flags.
#
# And, what's worse, at least with the version of Xcode that comes
# with Leopard, /usr/include/ffi/fficonfig.h doesn't define MACOSX,
@@ -343,11 +343,9 @@ if [ ! -f glib-$GLIB_VERSION-done ] ; then
if grep -qs '#define.*MACOSX' $includedir/ffi/fficonfig.h
then
# It's defined, nothing to do
- CFLAGS="$CFLAGS -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I$includedir/ffi" LIBFFI_LIBS="$LDFLAGS -lffi" ./configure || exit 1
- CFLAGS="$CFLAGS -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I$includedir/ffi" LIBFFI_LIBS="$LDFLAGS -lffi" env | egrep LIBFFI_CFLAGS
+ LIBFFI_CFLAGS="-I $includedir/ffi" LIBFFI_LIBS="-lffi" CFLAGS="$CFLAGS -Wno-format-nonliteral" ./configure || exit 1
else
- CFLAGS="$CFLAGS -DMACOSX -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I$includedir/ffi" LIBFFI_LIBS="LDFLAGS-lffi" ./configure || exit 1
- CFLAGS="$CFLAGS -DMACOSX -Wno-format-nonliteral" LIBFFI_CFLAGS="$CFLAGS -I$includedir/ffi" LIBFFI_LIBS="LDFLAGS-lffi" env | egrep LIBFFI_CFLAGS
+ LIBFFI_CFLAGS="-I $includedir/ffi" LIBFFI_LIBS="-lffi" CFLAGS="$CFLAGS -DMACOSX -Wno-format-nonliteral" ./configure || exit 1
fi
make $MAKE_BUILD_OPTS || exit 1
# Apply patch: we depend on libffi, but pkg-config doesn't get told.